Bug 164300 - xinetd crashes on startup
xinetd crashes on startup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xinetd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 14:04 EDT by Carl Roth
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 15:45:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2005-07-26 14:04:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
xinetd crashes on system boot, with the following in /var/log/messages:

Jul 26 00:08:05 localhost xinetd[2703]: 2703 {general_handler} (2703) Unexpected signal: 11 (Segmentation fault)
Jul 26 00:08:05 localhost last message repeated 9 times
Jul 26 00:08:05 localhost xinetd[2703]: 2703 {bad_signal} Received 10 signals in 1 seconds. Exiting...

Restarting xinetd after the system boots corrects the problem -- xinetd then functions normally.

Nothing is reported in the audit lot or in dmesg.



Version-Release number of selected component (if applicable):
xinetd-2.3.13-6

How reproducible:
Always

Steps to Reproduce:
1.reboot the machine
2.
3.
  

Actual Results:  The xinetd is not running.  The xinetd pid file exists, though.

Expected Results:  The xinetd process should be running normally.

Additional info:

There is one service enabled for xinetd on this system:

  # chkconfig --list | grep xinetd
  ...
  xinetd based services:
          bitlbee:        on
  ...

This is the bitlbee RPM compiled from the DAG repository.  The success or failure of the xinetd startup should not depend on bitlbee.  In any case, here is the xinetd entry for bitlbee:

  service ircd
  {
  disable = no
          socket_type     = stream
          protocol        = tcp
          wait            = no
          user            = daemon
          server          = /usr/sbin/bitlbee
          port            = 6667
          log_on_failure  += USERID
  }
Comment 1 talaman 2005-08-19 20:51:06 EDT
I can't even get this to start. In FC3 i think it was a service. In FC4 i can't
find it in the list. Also, without it I can't seem to get identd to run either.
Comment 2 Christian Iseli 2007-01-22 06:54:53 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Carl Roth 2007-01-25 15:45:21 EST
It appears to work fine on current builds of FC6.

Note You need to log in before you can comment on or make changes to this bug.